"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callbackToPromise = callbackToPromise;
function callbackToPromise(fn) {
    return function (...args) {
        return new Promise((resolve, reject) => {
            fn(...args, (err, result) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve(result);
                }
            });
        });
    };
}
//# sourceMappingURL=util.js.map