"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initGit = initGit;
const child_process_1 = require("child_process");
// function format(func: (...arg: any) => void, ...arg: any) {
//     return new Promise(function(resolve, reject){
//         console.log('========================', arg)
//         // func(arg, function (...arg: any) {
//         //     console.log('============================', arg)
//         // })
//         func.call(undefined, arg);
//     })
// }
function callbackToPromise(fn) {
    return function (...args) {
        return new Promise((resolve, reject) => {
            fn(...args, (err, result) => {
                if (err) {
                    reject(err);
                }
                else {
                    resolve(result);
                }
            });
        });
    };
}
function initGit(localPath, repoUrl) {
    return __awaiter(this, void 0, void 0, function* () {
        //const res = await format(exec, `git init ${localPath}`);
        const res = yield callbackToPromise(child_process_1.exec)(`git init ${localPath}`);
        console.log('===========================', res);
        // exec(`git init ${localPath}`, (error, stdout, stderr) => {
        //     if (error || stderr) {
        //         console.warn('git初始化失败')
        //         return;
        //     }
        //     const { repository } = require(path.join(clonePath, 'package.json'));
        //     console.log('==============================', repository);
        //     //设置远端地址
        //     exec(`git remote add origin ${repository.url}`, {
        //         cwd: clonePath
        //     }, (error, stdout, stderr) => {
        //         if (error || stderr) {
        //             console.warn('git远端设置失败失败')
        //             return;
        //         }
        //         console.log(`git执行完毕`);
        //     });
        // });
    });
}
//# sourceMappingURL=git.js.map